# Focus · X API

> Typed Focus mode operations for X accounts, generated from the X focus module (same behaviour as the generic /accounts/{accountId}/focus routes).

Base URL: `https://api.socialit.com/v1`. Authenticate with `Authorization: Bearer <API key or OAuth token>`.

## X: List Bookmarks

`GET /accounts/{accountId}/x/bookmarks`

GET /2/users/:id/bookmarks (or a folder). Your bookmarks, optionally inside a folder: a curation library for reposts and inspiration. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read, bookmark.read. Generic route: /v1/accounts/{accountId}/focus/bookmarks.

Access: `read` · MCP tool: `x-bookmarks-list`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Query parameters

- `cursor` (string): Pagination cursor (next_cursor)
- `limit` (integer; 1–100)
- `folder_id` (string)

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/bookmarks" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "text": "string",
      "created_at": "2026-10-13T09:00:00.000Z",
      "url": "https://example.com",
      "kind": "post",
      "author_id": "string",
      "author_username": "string",
      "author_name": "string",
      "author_avatar_url": "https://example.com",
      "conversation_id": "string",
      "in_reply_to_user_id": "string",
      "reply_to_id": "string",
      "quoted_id": "string",
      "reposted_id": "string",
      "lang": "string",
      "reply_settings": "everyone",
      "community_id": "string",
      "possibly_sensitive": true,
      "paid_partnership": true,
      "editable_until": "2026-10-13T09:00:00.000Z",
      "edits_remaining": 1,
      "media": [
        {
          "media_key": "string",
          "type": "photo",
          "url": "https://example.com",
          "preview_image_url": "https://example.com",
          "width": 1,
          "height": 1
        }
      ],
      "poll": {
        "id": "string",
        "options": [
          {
            "position": null,
            "label": null,
            "votes": null
          }
        ],
        "total_votes": 1,
        "voting_status": "open",
        "end_datetime": "2026-10-13T09:00:00.000Z",
        "duration_minutes": 1
      },
      "likes": 1,
      "reposts": 1,
      "replies": 1,
      "quotes": 1,
      "bookmarks": 1,
      "impressions": 1
    }
  ],
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_cursor": "string",
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## X: List Following

`GET /accounts/{accountId}/x/following`

GET /2/users/:id/following. Accounts you follow. Follow/unfollow are Enterprise-only on X since 2026-04-20. Cursor pagination: pass next_cursor back as cursor. Requires scopes: follows.read, users.read, tweet.read. Generic route: /v1/accounts/{accountId}/focus/following.

Access: `read` · MCP tool: `x-following-list`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Query parameters

- `cursor` (string): Pagination cursor (next_cursor)
- `limit` (integer; 1–1000)
- `user_id` (string)

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/following" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "username": "string",
      "name": "string",
      "url": "https://example.com",
      "avatar_url": "https://example.com",
      "description": "string",
      "location": "string",
      "website": "https://example.com",
      "created_at": "2026-10-13T09:00:00.000Z",
      "protected": true,
      "verified": true,
      "verified_type": "blue",
      "followers": 1,
      "following": 1,
      "posts": 1,
      "listed": 1,
      "likes": 1,
      "media_count": 1
    }
  ],
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_cursor": "string",
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## X: List Posts

`GET /accounts/{accountId}/x/posts`

Your timeline (GET /2/users/:id/tweets). Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.

Access: `read` · MCP tool: `x-posts-list` · Zernio: `GET /v1/accounts/{accountId}/posts`, `GET /v1/twitter/tweet`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Query parameters

- `cursor` (string): Pagination cursor (next_cursor)
- `limit` (integer; 1–100)
- `exclude` (string; one of replies, retweets, replies,retweets)
- `start_time` (string (date-time))
- `end_time` (string (date-time))
- `since_id` (string)
- `until_id` (string)

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/posts" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "text": "string",
      "created_at": "2026-10-13T09:00:00.000Z",
      "url": "https://example.com",
      "kind": "post",
      "author_id": "string",
      "author_username": "string",
      "author_name": "string",
      "author_avatar_url": "https://example.com",
      "conversation_id": "string",
      "in_reply_to_user_id": "string",
      "reply_to_id": "string",
      "quoted_id": "string",
      "reposted_id": "string",
      "lang": "string",
      "reply_settings": "everyone",
      "community_id": "string",
      "possibly_sensitive": true,
      "paid_partnership": true,
      "editable_until": "2026-10-13T09:00:00.000Z",
      "edits_remaining": 1,
      "media": [
        {
          "media_key": "string",
          "type": "photo",
          "url": "https://example.com",
          "preview_image_url": "https://example.com",
          "width": 1,
          "height": 1
        }
      ],
      "poll": {
        "id": "string",
        "options": [
          {
            "position": null,
            "label": null,
            "votes": null
          }
        ],
        "total_votes": 1,
        "voting_status": "open",
        "end_datetime": "2026-10-13T09:00:00.000Z",
        "duration_minutes": 1
      },
      "likes": 1,
      "reposts": 1,
      "replies": 1,
      "quotes": 1,
      "bookmarks": 1,
      "impressions": 1
    }
  ],
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_cursor": "string",
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## X: Create a Posts item

`POST /accounts/{accountId}/x/posts`

Publish a post (POST /2/tweets). Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.

Access: `write` · MCP tool: `x-posts-create` · Zernio: `POST /v1/posts`, `POST /v1/posts/{postId}/edit`, `POST /v1/posts/{postId}/unpublish`, `POST /v1/twitter/retweet`, `POST /v1/twitter/bookmark`, `POST /v1/inbox/posts/{postId}/like`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `text` (string; required)
- `media` (array of string | object; ≤ 4 items): Up to 4 images, or 1 GIF, or 1 video
  - one of: Option 1 (string)
  - one of: Option 2 (object)
    - `media.media` (string)
    - `media.alt_text` (string; ≤ 1000 characters)
- `reply_settings` (string; one of following, mentionedUsers, subscribers, verified)
- `reply_to_post_id` (string): Reply to this post (id or URL)
- `quote_post_id` (string): Quote this post (Enterprise-only)
- `community_id` (string)
- `for_super_followers_only` (boolean)
- `paid_partnership` (boolean)
- `made_with_ai` (boolean)
- `sensitive_media` (object)
  - `sensitive_media.adult_content` (boolean)
  - `sensitive_media.graphic_violence` (boolean)
  - `sensitive_media.other` (boolean)
- `geo_countries` (array of string; ≤ 25 items)
- `place_id` (string)
- `tagged_user_ids` (array of string; ≤ 10 items)
- `long_video` (boolean)
- `first_comment` (string)
- `auto_thread` (boolean): Split long text into a thread

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/posts" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "string",
    "media": [
      "string"
    ],
    "reply_settings": "following",
    "reply_to_post_id": "string",
    "quote_post_id": "string"
  }'
```

Response 201:

```json
{
  "id": "string",
  "text": "string",
  "created_at": "2026-10-13T09:00:00.000Z",
  "url": "https://example.com",
  "kind": "post",
  "author_id": "string",
  "author_username": "string",
  "author_name": "string",
  "author_avatar_url": "https://example.com",
  "conversation_id": "string",
  "in_reply_to_user_id": "string",
  "reply_to_id": "string",
  "quoted_id": "string",
  "reposted_id": "string",
  "lang": "string",
  "reply_settings": "everyone",
  "community_id": "string",
  "possibly_sensitive": true,
  "paid_partnership": true,
  "editable_until": "2026-10-13T09:00:00.000Z",
  "edits_remaining": 1,
  "media": [
    {
      "media_key": "string",
      "type": "photo",
      "url": "https://example.com",
      "preview_image_url": "https://example.com",
      "width": 1,
      "height": 1,
      "duration_ms": 1,
      "alt_text": "string",
      "view_count": 1
    }
  ],
  "poll": {
    "id": "string",
    "options": [
      {
        "position": 1,
        "label": "string",
        "votes": 1
      }
    ],
    "total_votes": 1,
    "voting_status": "open",
    "end_datetime": "2026-10-13T09:00:00.000Z",
    "duration_minutes": 1
  },
  "likes": 1,
  "reposts": 1,
  "replies": 1,
  "quotes": 1,
  "bookmarks": 1,
  "impressions": 1
}
```

## X: Get a Posts item

`GET /accounts/{accountId}/x/posts/{itemId}`

Post lookup (GET /2/tweets/:id). Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.

Access: `read` · MCP tool: `x-posts-get`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/posts/ITEM_ID" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "id": "string",
  "text": "string",
  "created_at": "2026-10-13T09:00:00.000Z",
  "url": "https://example.com",
  "kind": "post",
  "author_id": "string",
  "author_username": "string",
  "author_name": "string",
  "author_avatar_url": "https://example.com",
  "conversation_id": "string",
  "in_reply_to_user_id": "string",
  "reply_to_id": "string",
  "quoted_id": "string",
  "reposted_id": "string",
  "lang": "string",
  "reply_settings": "everyone",
  "community_id": "string",
  "possibly_sensitive": true,
  "paid_partnership": true,
  "editable_until": "2026-10-13T09:00:00.000Z",
  "edits_remaining": 1,
  "media": [
    {
      "media_key": "string",
      "type": "photo",
      "url": "https://example.com",
      "preview_image_url": "https://example.com",
      "width": 1,
      "height": 1,
      "duration_ms": 1,
      "alt_text": "string",
      "view_count": 1
    }
  ],
  "poll": {
    "id": "string",
    "options": [
      {
        "position": 1,
        "label": "string",
        "votes": 1
      }
    ],
    "total_votes": 1,
    "voting_status": "open",
    "end_datetime": "2026-10-13T09:00:00.000Z",
    "duration_minutes": 1
  },
  "likes": 1,
  "reposts": 1,
  "replies": 1,
  "quotes": 1,
  "bookmarks": 1,
  "impressions": 1
}
```

## X: Update a Posts item

`PATCH /accounts/{accountId}/x/posts/{itemId}`

Edit a post (X Premium; returns a new post id). Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.

Access: `write` · MCP tool: `x-posts-update`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Body

- `text` (string; required)
- `media` (array of string; ≤ 4 items)

```bash
curl -X PATCH "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/posts/ITEM_ID" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "string",
    "media": [
      "string"
    ]
  }'
```

Response 200:

```json
{
  "id": "string",
  "text": "string",
  "created_at": "2026-10-13T09:00:00.000Z",
  "url": "https://example.com",
  "kind": "post",
  "author_id": "string",
  "author_username": "string",
  "author_name": "string",
  "author_avatar_url": "https://example.com",
  "conversation_id": "string",
  "in_reply_to_user_id": "string",
  "reply_to_id": "string",
  "quoted_id": "string",
  "reposted_id": "string",
  "lang": "string",
  "reply_settings": "everyone",
  "community_id": "string",
  "possibly_sensitive": true,
  "paid_partnership": true,
  "editable_until": "2026-10-13T09:00:00.000Z",
  "edits_remaining": 1,
  "media": [
    {
      "media_key": "string",
      "type": "photo",
      "url": "https://example.com",
      "preview_image_url": "https://example.com",
      "width": 1,
      "height": 1,
      "duration_ms": 1,
      "alt_text": "string",
      "view_count": 1
    }
  ],
  "poll": {
    "id": "string",
    "options": [
      {
        "position": 1,
        "label": "string",
        "votes": 1
      }
    ],
    "total_votes": 1,
    "voting_status": "open",
    "end_datetime": "2026-10-13T09:00:00.000Z",
    "duration_minutes": 1
  },
  "likes": 1,
  "reposts": 1,
  "replies": 1,
  "quotes": 1,
  "bookmarks": 1,
  "impressions": 1
}
```

## X: Delete a Posts item

`DELETE /accounts/{accountId}/x/posts/{itemId}`

Delete a post (DELETE /2/tweets/:id). Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.

Access: `write` · MCP tool: `x-posts-delete` · Zernio: `DELETE /v1/twitter/retweet`, `DELETE /v1/twitter/bookmark`, `DELETE /v1/inbox/posts/{postId}/like`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

```bash
curl -X DELETE "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/posts/ITEM_ID" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "focus_item",
  "platform": "string",
  "resource": "string",
  "id": "string",
  "deleted": true,
  "result": null
}
```

## X: Reply (Posts)

`POST /accounts/{accountId}/x/posts/{itemId}/reply`

Reply. Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.

Access: `write` · MCP tool: `x-posts-reply`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `text` (string; required; ≤ 25000 characters)
- `media` (array of string; ≤ 4 items)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/posts/ITEM_ID/reply" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "string",
    "media": [
      "string"
    ]
  }'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Repost (Posts)

`POST /accounts/{accountId}/x/posts/{itemId}/repost`

Repost. Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.

Access: `write` · MCP tool: `x-posts-repost`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/posts/ITEM_ID/repost" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Undo repost (Posts)

`POST /accounts/{accountId}/x/posts/{itemId}/undo-repost`

Undo repost. Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.

Access: `write` · MCP tool: `x-posts-undo-repost`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/posts/ITEM_ID/undo-repost" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Like (Posts)

`POST /accounts/{accountId}/x/posts/{itemId}/like`

Enterprise-only on X. Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, like.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.

Access: `write` · MCP tool: `x-posts-like`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/posts/ITEM_ID/like" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Unlike (Posts)

`POST /accounts/{accountId}/x/posts/{itemId}/unlike`

Enterprise-only on X. Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, like.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.

Access: `write` · MCP tool: `x-posts-unlike`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/posts/ITEM_ID/unlike" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Bookmark (Posts)

`POST /accounts/{accountId}/x/posts/{itemId}/bookmark`

Bookmark. Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, bookmark.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.

Access: `write` · MCP tool: `x-posts-bookmark`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `folder_id` (string)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/posts/ITEM_ID/bookmark" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "folder_id": "string"
  }'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Remove bookmark (Posts)

`POST /accounts/{accountId}/x/posts/{itemId}/remove-bookmark`

Remove bookmark. Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, bookmark.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.

Access: `write` · MCP tool: `x-posts-remove-bookmark`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/posts/ITEM_ID/remove-bookmark" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Get a Threads item

`GET /accounts/{accountId}/x/threads/{itemId}`

Your posts in the conversation rooted at :id (recent search). Publish multi-post threads and read back your own threads. Requires scopes: tweet.read, users.read. Generic route: /v1/accounts/{accountId}/focus/threads.

Access: `read` · MCP tool: `x-threads-get`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/threads/ITEM_ID" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "id": "string",
  "url": "https://example.com",
  "items": [
    {
      "id": "string",
      "text": "string",
      "created_at": "2026-10-13T09:00:00.000Z",
      "url": "https://example.com",
      "kind": "post",
      "author_id": "string",
      "author_username": "string",
      "author_name": "string",
      "author_avatar_url": "https://example.com",
      "conversation_id": "string",
      "in_reply_to_user_id": "string",
      "reply_to_id": "string",
      "quoted_id": "string",
      "reposted_id": "string",
      "lang": "string",
      "reply_settings": "everyone",
      "community_id": "string",
      "possibly_sensitive": true,
      "paid_partnership": true,
      "editable_until": "2026-10-13T09:00:00.000Z",
      "edits_remaining": 1,
      "media": [
        {
          "media_key": "string",
          "type": "photo",
          "url": "https://example.com",
          "preview_image_url": "https://example.com",
          "width": 1,
          "height": 1
        }
      ],
      "poll": {
        "id": "string",
        "options": [
          {
            "position": null,
            "label": null,
            "votes": null
          }
        ],
        "total_votes": 1,
        "voting_status": "open",
        "end_datetime": "2026-10-13T09:00:00.000Z",
        "duration_minutes": 1
      },
      "likes": 1,
      "reposts": 1,
      "replies": 1,
      "quotes": 1,
      "bookmarks": 1,
      "impressions": 1
    }
  ],
  "thread_ids": [
    "string"
  ]
}
```

## X: Create a Threads item

`POST /accounts/{accountId}/x/threads`

Publish a thread (chained POST /2/tweets). Publish multi-post threads and read back your own threads. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/threads.

Access: `write` · MCP tool: `x-threads-create` · Zernio: `POST /v1/posts`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `items` (array of object; required; ≥ 1 items)
  - `items[].text` (string; required)
  - `items[].media` (array of string; ≤ 4 items)
- `reply_settings` (string; one of following, mentionedUsers, subscribers, verified)
- `first_comment` (string)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/threads" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "items": [
      {
        "text": "string",
        "media": [
          "string"
        ]
      }
    ],
    "reply_settings": "following",
    "first_comment": "string"
  }'
```

Response 201:

```json
{
  "id": "string",
  "url": "https://example.com",
  "items": [
    {
      "id": "string",
      "text": "string",
      "created_at": "2026-10-13T09:00:00.000Z",
      "url": "https://example.com",
      "kind": "post",
      "author_id": "string",
      "author_username": "string",
      "author_name": "string",
      "author_avatar_url": "https://example.com",
      "conversation_id": "string",
      "in_reply_to_user_id": "string",
      "reply_to_id": "string",
      "quoted_id": "string",
      "reposted_id": "string",
      "lang": "string",
      "reply_settings": "everyone",
      "community_id": "string",
      "possibly_sensitive": true,
      "paid_partnership": true,
      "editable_until": "2026-10-13T09:00:00.000Z",
      "edits_remaining": 1,
      "media": [
        {
          "media_key": "string",
          "type": "photo",
          "url": "https://example.com",
          "preview_image_url": "https://example.com",
          "width": 1,
          "height": 1
        }
      ],
      "poll": {
        "id": "string",
        "options": [
          {
            "position": null,
            "label": null,
            "votes": null
          }
        ],
        "total_votes": 1,
        "voting_status": "open",
        "end_datetime": "2026-10-13T09:00:00.000Z",
        "duration_minutes": 1
      },
      "likes": 1,
      "reposts": 1,
      "replies": 1,
      "quotes": 1,
      "bookmarks": 1,
      "impressions": 1
    }
  ],
  "thread_ids": [
    "string"
  ]
}
```

## X: List Polls

`GET /accounts/{accountId}/x/polls`

Your recent posts that carry a poll. Create polls (2-4 options, 5 min to 7 days) and follow their results. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read. Generic route: /v1/accounts/{accountId}/focus/polls.

Access: `read` · MCP tool: `x-polls-list`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Query parameters

- `cursor` (string): Pagination cursor (next_cursor)
- `limit` (integer; 1–100)

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/polls" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "text": "string",
      "created_at": "2026-10-13T09:00:00.000Z",
      "url": "https://example.com",
      "kind": "post",
      "author_id": "string",
      "author_username": "string",
      "author_name": "string",
      "author_avatar_url": "https://example.com",
      "conversation_id": "string",
      "in_reply_to_user_id": "string",
      "reply_to_id": "string",
      "quoted_id": "string",
      "reposted_id": "string",
      "lang": "string",
      "reply_settings": "everyone",
      "community_id": "string",
      "possibly_sensitive": true,
      "paid_partnership": true,
      "editable_until": "2026-10-13T09:00:00.000Z",
      "edits_remaining": 1,
      "media": [
        {
          "media_key": "string",
          "type": "photo",
          "url": "https://example.com",
          "preview_image_url": "https://example.com",
          "width": 1,
          "height": 1
        }
      ],
      "poll": {
        "id": "string",
        "options": [
          {
            "position": null,
            "label": null,
            "votes": null
          }
        ],
        "total_votes": 1,
        "voting_status": "open",
        "end_datetime": "2026-10-13T09:00:00.000Z",
        "duration_minutes": 1
      },
      "likes": 1,
      "reposts": 1,
      "replies": 1,
      "quotes": 1,
      "bookmarks": 1,
      "impressions": 1
    }
  ],
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_cursor": "string",
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## X: Create a Polls item

`POST /accounts/{accountId}/x/polls`

Publish a poll. Create polls (2-4 options, 5 min to 7 days) and follow their results. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/polls.

Access: `write` · MCP tool: `x-polls-create` · Zernio: `POST /v1/posts`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `text` (string; required)
- `options` (array of string; required; 2–4 items)
- `duration_minutes` (integer; required; 5–10080)
- `reply_settings` (string; one of following, mentionedUsers, subscribers, verified)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/polls" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "string",
    "options": [
      "string"
    ],
    "duration_minutes": 1440,
    "reply_settings": "following"
  }'
```

Response 201:

```json
{
  "id": "string",
  "text": "string",
  "created_at": "2026-10-13T09:00:00.000Z",
  "url": "https://example.com",
  "kind": "post",
  "author_id": "string",
  "author_username": "string",
  "author_name": "string",
  "author_avatar_url": "https://example.com",
  "conversation_id": "string",
  "in_reply_to_user_id": "string",
  "reply_to_id": "string",
  "quoted_id": "string",
  "reposted_id": "string",
  "lang": "string",
  "reply_settings": "everyone",
  "community_id": "string",
  "possibly_sensitive": true,
  "paid_partnership": true,
  "editable_until": "2026-10-13T09:00:00.000Z",
  "edits_remaining": 1,
  "media": [
    {
      "media_key": "string",
      "type": "photo",
      "url": "https://example.com",
      "preview_image_url": "https://example.com",
      "width": 1,
      "height": 1,
      "duration_ms": 1,
      "alt_text": "string",
      "view_count": 1
    }
  ],
  "poll": {
    "id": "string",
    "options": [
      {
        "position": 1,
        "label": "string",
        "votes": 1
      }
    ],
    "total_votes": 1,
    "voting_status": "open",
    "end_datetime": "2026-10-13T09:00:00.000Z",
    "duration_minutes": 1
  },
  "likes": 1,
  "reposts": 1,
  "replies": 1,
  "quotes": 1,
  "bookmarks": 1,
  "impressions": 1
}
```

## X: Get a Polls item

`GET /accounts/{accountId}/x/polls/{itemId}`

Poll results for a post. Create polls (2-4 options, 5 min to 7 days) and follow their results. Requires scopes: tweet.read, users.read. Generic route: /v1/accounts/{accountId}/focus/polls.

Access: `read` · MCP tool: `x-polls-get`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/polls/ITEM_ID" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "id": "string",
  "text": "string",
  "created_at": "2026-10-13T09:00:00.000Z",
  "url": "https://example.com",
  "kind": "post",
  "author_id": "string",
  "author_username": "string",
  "author_name": "string",
  "author_avatar_url": "https://example.com",
  "conversation_id": "string",
  "in_reply_to_user_id": "string",
  "reply_to_id": "string",
  "quoted_id": "string",
  "reposted_id": "string",
  "lang": "string",
  "reply_settings": "everyone",
  "community_id": "string",
  "possibly_sensitive": true,
  "paid_partnership": true,
  "editable_until": "2026-10-13T09:00:00.000Z",
  "edits_remaining": 1,
  "media": [
    {
      "media_key": "string",
      "type": "photo",
      "url": "https://example.com",
      "preview_image_url": "https://example.com",
      "width": 1,
      "height": 1,
      "duration_ms": 1,
      "alt_text": "string",
      "view_count": 1
    }
  ],
  "poll": {
    "id": "string",
    "options": [
      {
        "position": 1,
        "label": "string",
        "votes": 1
      }
    ],
    "total_votes": 1,
    "voting_status": "open",
    "end_datetime": "2026-10-13T09:00:00.000Z",
    "duration_minutes": 1
  },
  "likes": 1,
  "reposts": 1,
  "replies": 1,
  "quotes": 1,
  "bookmarks": 1,
  "impressions": 1
}
```

## X: Create a Articles item

`POST /accounts/{accountId}/x/articles`

Create an Article draft and optionally publish it. Long-form X Articles: save a draft on X or publish (the account must be eligible for Articles). Requires scopes: tweet.write. Network docs: https://docs.x.com/x-api/articles/introduction Generic route: /v1/accounts/{accountId}/focus/articles.

Access: `write` · MCP tool: `x-articles-create` · Zernio: `POST /v1/posts`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `title` (string; required; ≥ 1 characters)
- `text` (string): Body; "# ", "## ", "> ", "- ", "1. " prefixes become headings, quotes and lists
- `content_state` (object): DraftJS content_state (snake_case); overrides text
  - `content_state.blocks` (array of object)
  - `content_state.entities` (array of object)
- `mode` (string; one of publish, draft)
- `cover` (string): Cover image (JPG, PNG or WebP)
- `cover_alt_text` (string; ≤ 1000 characters)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/articles" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "string",
    "text": "string",
    "content_state": {
      "blocks": [
        {}
      ],
      "entities": [
        {}
      ]
    },
    "mode": "publish",
    "cover": "string"
  }'
```

Response 201:

```json
{
  "id": "string",
  "article_id": "string",
  "title": "string",
  "mode": "publish",
  "url": "https://example.com"
}
```

## X: Publish draft (Articles)

`POST /accounts/{accountId}/x/articles/{itemId}/publish`

POST /2/articles/:id/publish. Long-form X Articles: save a draft on X or publish (the account must be eligible for Articles). Requires scopes: tweet.write. Network docs: https://docs.x.com/x-api/articles/introduction Generic route: /v1/accounts/{accountId}/focus/articles.

Access: `write` · MCP tool: `x-articles-publish`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/articles/ITEM_ID/publish" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: List Media

`GET /accounts/{accountId}/x/media`

Look up media by key (GET /2/media). Upload images, GIFs and video to X, set alt text and sensitive flags, manage subtitles. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read. Network docs: https://docs.x.com/x-api/media/introduction Generic route: /v1/accounts/{accountId}/focus/media.

Access: `read` · MCP tool: `x-media-list`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Query parameters

- `media_keys` (string; required): Comma-separated media keys

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/media?media_keys=value" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "media_key": "string",
      "media_id": "string",
      "type": "string",
      "url": "https://example.com",
      "preview_image_url": "https://example.com",
      "width": 1,
      "height": 1,
      "duration_ms": 1,
      "alt_text": "string",
      "view_count": 1
    }
  ],
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_cursor": "string",
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## X: Create a Media item

`POST /accounts/{accountId}/x/media`

Upload media (simple for images, chunked for GIF/video). Upload images, GIFs and video to X, set alt text and sensitive flags, manage subtitles. Requires scopes: tweet.read, media.write. Network docs: https://docs.x.com/x-api/media/introduction Generic route: /v1/accounts/{accountId}/focus/media.

Access: `write` · MCP tool: `x-media-create`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `media` (string; required)
- `category` (string; one of tweet_image, tweet_gif, tweet_video, amplify_video, dm_image, dm_gif, dm_video)
- `alt_text` (string; ≤ 1000 characters)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/media" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "media": "string",
    "category": "tweet_image",
    "alt_text": "string"
  }'
```

Response 201:

```json
{
  "media_key": "string",
  "media_id": "string",
  "type": "string",
  "url": "https://example.com",
  "preview_image_url": "https://example.com",
  "width": 1,
  "height": 1,
  "duration_ms": 1,
  "alt_text": "string",
  "view_count": 1
}
```

## X: Get a Media item

`GET /accounts/{accountId}/x/media/{itemId}`

GET /2/media/:media_key. Upload images, GIFs and video to X, set alt text and sensitive flags, manage subtitles. Requires scopes: tweet.read. Network docs: https://docs.x.com/x-api/media/introduction Generic route: /v1/accounts/{accountId}/focus/media.

Access: `read` · MCP tool: `x-media-get`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/media/ITEM_ID" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "media_key": "string",
  "media_id": "string",
  "type": "string",
  "url": "https://example.com",
  "preview_image_url": "https://example.com",
  "width": 1,
  "height": 1,
  "duration_ms": 1,
  "alt_text": "string",
  "view_count": 1
}
```

## X: Alt text and flags (Media)

`POST /accounts/{accountId}/x/media/{itemId}/set-metadata`

Alt text and flags. Upload images, GIFs and video to X, set alt text and sensitive flags, manage subtitles. Requires scopes: tweet.read, media.write. Network docs: https://docs.x.com/x-api/media/introduction Generic route: /v1/accounts/{accountId}/focus/media.

Access: `write` · MCP tool: `x-media-set-metadata`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `alt_text` (string; ≤ 1000 characters)
- `sensitive_media` (object)
  - `sensitive_media.adult_content` (boolean)
  - `sensitive_media.graphic_violence` (boolean)
  - `sensitive_media.other` (boolean)
- `geo_countries` (array of string)
- `allow_download` (boolean)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/media/ITEM_ID/set-metadata" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "alt_text": "string",
    "sensitive_media": {
      "adult_content": true,
      "graphic_violence": true
    },
    "geo_countries": [
      "string"
    ],
    "allow_download": true
  }'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Add subtitles (Media)

`POST /accounts/{accountId}/x/media/{itemId}/add-subtitles`

Add subtitles. Upload images, GIFs and video to X, set alt text and sensitive flags, manage subtitles. Requires scopes: tweet.read, media.write. Network docs: https://docs.x.com/x-api/media/introduction Generic route: /v1/accounts/{accountId}/focus/media.

Access: `write` · MCP tool: `x-media-add-subtitles`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `file` (string; required): SRT or VTT file
- `language` (string; required; ≥ 2 characters)
- `display_name` (string)
- `amplify` (boolean)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/media/ITEM_ID/add-subtitles" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "file": "string",
    "language": "en",
    "display_name": "string",
    "amplify": true
  }'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Delete subtitles (Media)

`POST /accounts/{accountId}/x/media/{itemId}/delete-subtitles`

Delete subtitles. Upload images, GIFs and video to X, set alt text and sensitive flags, manage subtitles. Destructive. Requires scopes: tweet.read, media.write. Network docs: https://docs.x.com/x-api/media/introduction Generic route: /v1/accounts/{accountId}/focus/media.

Access: `write` · MCP tool: `x-media-delete-subtitles`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Body

- `language` (string; required; ≥ 2 characters)
- `amplify` (boolean)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/media/ITEM_ID/delete-subtitles" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "language": "en",
    "amplify": true
  }'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Processing status (Media)

`POST /accounts/{accountId}/x/media/{itemId}/status`

Processing status. Upload images, GIFs and video to X, set alt text and sensitive flags, manage subtitles. Requires scopes: tweet.read, media.write. Network docs: https://docs.x.com/x-api/media/introduction Generic route: /v1/accounts/{accountId}/focus/media.

Access: `write` · MCP tool: `x-media-status`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/media/ITEM_ID/status" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: List Replies

`GET /accounts/{accountId}/x/replies`

Replies to one post (post_id) or to all your recent posts. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read. Generic route: /v1/accounts/{accountId}/focus/replies.

Access: `read` · MCP tool: `x-replies-list` · Zernio: `GET /v1/inbox/comments`, `GET /v1/inbox/comments/{postId}`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Query parameters

- `cursor` (string): Pagination cursor (next_cursor)
- `limit` (integer; 1–100)
- `post_id` (string): Root post id or URL
- `archive` (boolean): Full-archive search (older than 7 days)

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/replies" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "text": "string",
      "created_at": "2026-10-13T09:00:00.000Z",
      "url": "https://example.com",
      "kind": "post",
      "author_id": "string",
      "author_username": "string",
      "author_name": "string",
      "author_avatar_url": "https://example.com",
      "conversation_id": "string",
      "in_reply_to_user_id": "string",
      "reply_to_id": "string",
      "quoted_id": "string",
      "reposted_id": "string",
      "lang": "string",
      "reply_settings": "everyone",
      "community_id": "string",
      "possibly_sensitive": true,
      "paid_partnership": true,
      "editable_until": "2026-10-13T09:00:00.000Z",
      "edits_remaining": 1,
      "media": [
        {
          "media_key": "string",
          "type": "photo",
          "url": "https://example.com",
          "preview_image_url": "https://example.com",
          "width": 1,
          "height": 1
        }
      ],
      "poll": {
        "id": "string",
        "options": [
          {
            "position": null,
            "label": null,
            "votes": null
          }
        ],
        "total_votes": 1,
        "voting_status": "open",
        "end_datetime": "2026-10-13T09:00:00.000Z",
        "duration_minutes": 1
      },
      "likes": 1,
      "reposts": 1,
      "replies": 1,
      "quotes": 1,
      "bookmarks": 1,
      "impressions": 1,
      "author": "string"
    }
  ],
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_cursor": "string",
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## X: Create a Replies item

`POST /accounts/{accountId}/x/replies`

Reply to a post or reply. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/replies.

Access: `write` · MCP tool: `x-replies-create` · Zernio: `POST /v1/inbox/comments/{postId}`, `POST /v1/inbox/comments/{postId}/{commentId}/hide`, `POST /v1/inbox/comments/{postId}/{commentId}/like`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `reply_to_id` (string; required)
- `text` (string; required)
- `media` (array of string; ≤ 4 items)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/replies" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "reply_to_id": "string",
    "text": "string",
    "media": [
      "string"
    ]
  }'
```

Response 201:

```json
{
  "id": "string",
  "text": "string",
  "created_at": "2026-10-13T09:00:00.000Z",
  "url": "https://example.com",
  "kind": "post",
  "author_id": "string",
  "author_username": "string",
  "author_name": "string",
  "author_avatar_url": "https://example.com",
  "conversation_id": "string",
  "in_reply_to_user_id": "string",
  "reply_to_id": "string",
  "quoted_id": "string",
  "reposted_id": "string",
  "lang": "string",
  "reply_settings": "everyone",
  "community_id": "string",
  "possibly_sensitive": true,
  "paid_partnership": true,
  "editable_until": "2026-10-13T09:00:00.000Z",
  "edits_remaining": 1,
  "media": [
    {
      "media_key": "string",
      "type": "photo",
      "url": "https://example.com",
      "preview_image_url": "https://example.com",
      "width": 1,
      "height": 1,
      "duration_ms": 1,
      "alt_text": "string",
      "view_count": 1
    }
  ],
  "poll": {
    "id": "string",
    "options": [
      {
        "position": 1,
        "label": "string",
        "votes": 1
      }
    ],
    "total_votes": 1,
    "voting_status": "open",
    "end_datetime": "2026-10-13T09:00:00.000Z",
    "duration_minutes": 1
  },
  "likes": 1,
  "reposts": 1,
  "replies": 1,
  "quotes": 1,
  "bookmarks": 1,
  "impressions": 1,
  "author": "string",
  "parent_id": "string",
  "hidden": true
}
```

## X: Delete a Replies item

`DELETE /accounts/{accountId}/x/replies/{itemId}`

Delete one of your replies. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/replies.

Access: `write` · MCP tool: `x-replies-delete` · Zernio: `DELETE /v1/inbox/comments/{postId}`, `DELETE /v1/inbox/comments/{postId}/{commentId}/hide`, `DELETE /v1/inbox/comments/{postId}/{commentId}/like`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

```bash
curl -X DELETE "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/replies/ITEM_ID" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "focus_item",
  "platform": "string",
  "resource": "string",
  "id": "string",
  "deleted": true,
  "result": null
}
```

## X: Reply (Replies)

`POST /accounts/{accountId}/x/replies/{itemId}/reply`

Reply. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/replies.

Access: `write` · MCP tool: `x-replies-reply`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `text` (string; required)
- `media` (array of string; ≤ 4 items)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/replies/ITEM_ID/reply" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "string",
    "media": [
      "string"
    ]
  }'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Like (Replies)

`POST /accounts/{accountId}/x/replies/{itemId}/like`

Enterprise-only on X. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, like.write. Generic route: /v1/accounts/{accountId}/focus/replies.

Access: `write` · MCP tool: `x-replies-like`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/replies/ITEM_ID/like" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Unlike (Replies)

`POST /accounts/{accountId}/x/replies/{itemId}/unlike`

Enterprise-only on X. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, like.write. Generic route: /v1/accounts/{accountId}/focus/replies.

Access: `write` · MCP tool: `x-replies-unlike`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/replies/ITEM_ID/unlike" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Repost (Replies)

`POST /accounts/{accountId}/x/replies/{itemId}/repost`

Repost. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/replies.

Access: `write` · MCP tool: `x-replies-repost`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/replies/ITEM_ID/repost" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Bookmark (Replies)

`POST /accounts/{accountId}/x/replies/{itemId}/bookmark`

Bookmark. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, bookmark.write. Generic route: /v1/accounts/{accountId}/focus/replies.

Access: `write` · MCP tool: `x-replies-bookmark`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/replies/ITEM_ID/bookmark" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Hide reply (Replies)

`POST /accounts/{accountId}/x/replies/{itemId}/hide`

Hide reply. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, tweet.moderate.write. Generic route: /v1/accounts/{accountId}/focus/replies.

Access: `write` · MCP tool: `x-replies-hide`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/replies/ITEM_ID/hide" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Unhide reply (Replies)

`POST /accounts/{accountId}/x/replies/{itemId}/unhide`

Unhide reply. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, tweet.moderate.write. Generic route: /v1/accounts/{accountId}/focus/replies.

Access: `write` · MCP tool: `x-replies-unhide`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/replies/ITEM_ID/unhide" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: List Mentions

`GET /accounts/{accountId}/x/mentions`

GET /2/users/:id/mentions. Posts that mention you. Replying is allowed on self-serve because you were summoned. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read. Generic route: /v1/accounts/{accountId}/focus/mentions.

Access: `read` · MCP tool: `x-mentions-list` · Zernio: `GET /v1/inbox/mentions`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Query parameters

- `cursor` (string): Pagination cursor (next_cursor)
- `limit` (integer; 1–100)
- `since_id` (string)
- `start_time` (string (date-time))
- `end_time` (string (date-time))

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/mentions" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "text": "string",
      "created_at": "2026-10-13T09:00:00.000Z",
      "url": "https://example.com",
      "kind": "post",
      "author_id": "string",
      "author_username": "string",
      "author_name": "string",
      "author_avatar_url": "https://example.com",
      "conversation_id": "string",
      "in_reply_to_user_id": "string",
      "reply_to_id": "string",
      "quoted_id": "string",
      "reposted_id": "string",
      "lang": "string",
      "reply_settings": "everyone",
      "community_id": "string",
      "possibly_sensitive": true,
      "paid_partnership": true,
      "editable_until": "2026-10-13T09:00:00.000Z",
      "edits_remaining": 1,
      "media": [
        {
          "media_key": "string",
          "type": "photo",
          "url": "https://example.com",
          "preview_image_url": "https://example.com",
          "width": 1,
          "height": 1
        }
      ],
      "poll": {
        "id": "string",
        "options": [
          {
            "position": null,
            "label": null,
            "votes": null
          }
        ],
        "total_votes": 1,
        "voting_status": "open",
        "end_datetime": "2026-10-13T09:00:00.000Z",
        "duration_minutes": 1
      },
      "likes": 1,
      "reposts": 1,
      "replies": 1,
      "quotes": 1,
      "bookmarks": 1,
      "impressions": 1,
      "author": "string"
    }
  ],
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_cursor": "string",
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## X: Reply (Mentions)

`POST /accounts/{accountId}/x/mentions/{itemId}/reply`

Reply. Posts that mention you. Replying is allowed on self-serve because you were summoned. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/mentions.

Access: `write` · MCP tool: `x-mentions-reply` · Zernio: `POST /v1/inbox/mentions/reply`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `text` (string; required)
- `media` (array of string; ≤ 4 items)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/mentions/ITEM_ID/reply" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "string",
    "media": [
      "string"
    ]
  }'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Like (Mentions)

`POST /accounts/{accountId}/x/mentions/{itemId}/like`

Enterprise-only on X. Posts that mention you. Replying is allowed on self-serve because you were summoned. Requires scopes: tweet.read, users.read, like.write. Generic route: /v1/accounts/{accountId}/focus/mentions.

Access: `write` · MCP tool: `x-mentions-like`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/mentions/ITEM_ID/like" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Unlike (Mentions)

`POST /accounts/{accountId}/x/mentions/{itemId}/unlike`

Enterprise-only on X. Posts that mention you. Replying is allowed on self-serve because you were summoned. Requires scopes: tweet.read, users.read, like.write. Generic route: /v1/accounts/{accountId}/focus/mentions.

Access: `write` · MCP tool: `x-mentions-unlike`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/mentions/ITEM_ID/unlike" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Repost (Mentions)

`POST /accounts/{accountId}/x/mentions/{itemId}/repost`

Repost. Posts that mention you. Replying is allowed on self-serve because you were summoned. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/mentions.

Access: `write` · MCP tool: `x-mentions-repost`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/mentions/ITEM_ID/repost" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Bookmark (Mentions)

`POST /accounts/{accountId}/x/mentions/{itemId}/bookmark`

Bookmark. Posts that mention you. Replying is allowed on self-serve because you were summoned. Requires scopes: tweet.read, users.read, bookmark.write. Generic route: /v1/accounts/{accountId}/focus/mentions.

Access: `write` · MCP tool: `x-mentions-bookmark`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/mentions/ITEM_ID/bookmark" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Hide reply (Mentions)

`POST /accounts/{accountId}/x/mentions/{itemId}/hide`

Only for replies in your conversations. Posts that mention you. Replying is allowed on self-serve because you were summoned. Requires scopes: tweet.read, users.read, tweet.moderate.write. Generic route: /v1/accounts/{accountId}/focus/mentions.

Access: `write` · MCP tool: `x-mentions-hide`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/mentions/ITEM_ID/hide" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: List Quotes

`GET /accounts/{accountId}/x/quotes`

GET /2/tweets/:id/quote_tweets. Quote posts of one of your posts. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read. Generic route: /v1/accounts/{accountId}/focus/quotes.

Access: `read` · MCP tool: `x-quotes-list`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Query parameters

- `cursor` (string): Pagination cursor (next_cursor)
- `limit` (integer; 1–100)
- `post_id` (string; required)

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/quotes?post_id=value" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "text": "string",
      "created_at": "2026-10-13T09:00:00.000Z",
      "url": "https://example.com",
      "kind": "post",
      "author_id": "string",
      "author_username": "string",
      "author_name": "string",
      "author_avatar_url": "https://example.com",
      "conversation_id": "string",
      "in_reply_to_user_id": "string",
      "reply_to_id": "string",
      "quoted_id": "string",
      "reposted_id": "string",
      "lang": "string",
      "reply_settings": "everyone",
      "community_id": "string",
      "possibly_sensitive": true,
      "paid_partnership": true,
      "editable_until": "2026-10-13T09:00:00.000Z",
      "edits_remaining": 1,
      "media": [
        {
          "media_key": "string",
          "type": "photo",
          "url": "https://example.com",
          "preview_image_url": "https://example.com",
          "width": 1,
          "height": 1
        }
      ],
      "poll": {
        "id": "string",
        "options": [
          {
            "position": null,
            "label": null,
            "votes": null
          }
        ],
        "total_votes": 1,
        "voting_status": "open",
        "end_datetime": "2026-10-13T09:00:00.000Z",
        "duration_minutes": 1
      },
      "likes": 1,
      "reposts": 1,
      "replies": 1,
      "quotes": 1,
      "bookmarks": 1,
      "impressions": 1
    }
  ],
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_cursor": "string",
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## X: Reply (Quotes)

`POST /accounts/{accountId}/x/quotes/{itemId}/reply`

Reply. Quote posts of one of your posts. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/quotes.

Access: `write` · MCP tool: `x-quotes-reply`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `text` (string; required)
- `media` (array of string; ≤ 4 items)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/quotes/ITEM_ID/reply" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "string",
    "media": [
      "string"
    ]
  }'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Like (Quotes)

`POST /accounts/{accountId}/x/quotes/{itemId}/like`

Enterprise-only on X. Quote posts of one of your posts. Requires scopes: tweet.read, users.read, like.write. Generic route: /v1/accounts/{accountId}/focus/quotes.

Access: `write` · MCP tool: `x-quotes-like`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/quotes/ITEM_ID/like" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Unlike (Quotes)

`POST /accounts/{accountId}/x/quotes/{itemId}/unlike`

Enterprise-only on X. Quote posts of one of your posts. Requires scopes: tweet.read, users.read, like.write. Generic route: /v1/accounts/{accountId}/focus/quotes.

Access: `write` · MCP tool: `x-quotes-unlike`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/quotes/ITEM_ID/unlike" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Repost (Quotes)

`POST /accounts/{accountId}/x/quotes/{itemId}/repost`

Repost. Quote posts of one of your posts. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/quotes.

Access: `write` · MCP tool: `x-quotes-repost`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/quotes/ITEM_ID/repost" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Bookmark (Quotes)

`POST /accounts/{accountId}/x/quotes/{itemId}/bookmark`

Bookmark. Quote posts of one of your posts. Requires scopes: tweet.read, users.read, bookmark.write. Generic route: /v1/accounts/{accountId}/focus/quotes.

Access: `write` · MCP tool: `x-quotes-bookmark`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/quotes/ITEM_ID/bookmark" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: List Reposts of me

`GET /accounts/{accountId}/x/reposts-of-me`

GET /2/users/reposts_of_me. Your posts that other accounts reposted. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, timeline.read. Generic route: /v1/accounts/{accountId}/focus/reposts-of-me.

Access: `read` · MCP tool: `x-reposts-of-me-list`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Query parameters

- `cursor` (string): Pagination cursor (next_cursor)
- `limit` (integer; 1–100)

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/reposts-of-me" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "text": "string",
      "created_at": "2026-10-13T09:00:00.000Z",
      "url": "https://example.com",
      "kind": "post",
      "author_id": "string",
      "author_username": "string",
      "author_name": "string",
      "author_avatar_url": "https://example.com",
      "conversation_id": "string",
      "in_reply_to_user_id": "string",
      "reply_to_id": "string",
      "quoted_id": "string",
      "reposted_id": "string",
      "lang": "string",
      "reply_settings": "everyone",
      "community_id": "string",
      "possibly_sensitive": true,
      "paid_partnership": true,
      "editable_until": "2026-10-13T09:00:00.000Z",
      "edits_remaining": 1,
      "media": [
        {
          "media_key": "string",
          "type": "photo",
          "url": "https://example.com",
          "preview_image_url": "https://example.com",
          "width": 1,
          "height": 1
        }
      ],
      "poll": {
        "id": "string",
        "options": [
          {
            "position": null,
            "label": null,
            "votes": null
          }
        ],
        "total_votes": 1,
        "voting_status": "open",
        "end_datetime": "2026-10-13T09:00:00.000Z",
        "duration_minutes": 1
      },
      "likes": 1,
      "reposts": 1,
      "replies": 1,
      "quotes": 1,
      "bookmarks": 1,
      "impressions": 1
    }
  ],
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_cursor": "string",
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## X: List Liked by

`GET /accounts/{accountId}/x/liking-users`

GET /2/tweets/:id/liking_users. Accounts that liked a post. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read, like.read. Generic route: /v1/accounts/{accountId}/focus/liking-users.

Access: `read` · MCP tool: `x-liking-users-list`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Query parameters

- `cursor` (string): Pagination cursor (next_cursor)
- `limit` (integer; 1–100)
- `post_id` (string; required)

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/liking-users?post_id=value" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "username": "string",
      "name": "string",
      "url": "https://example.com",
      "avatar_url": "https://example.com",
      "description": "string",
      "location": "string",
      "website": "https://example.com",
      "created_at": "2026-10-13T09:00:00.000Z",
      "protected": true,
      "verified": true,
      "verified_type": "blue",
      "followers": 1,
      "following": 1,
      "posts": 1,
      "listed": 1,
      "likes": 1,
      "media_count": 1
    }
  ],
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_cursor": "string",
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## X: List Reposted by

`GET /accounts/{accountId}/x/reposted-by`

GET /2/tweets/:id/retweeted_by. Accounts that reposted a post. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read. Generic route: /v1/accounts/{accountId}/focus/reposted-by.

Access: `read` · MCP tool: `x-reposted-by-list`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Query parameters

- `cursor` (string): Pagination cursor (next_cursor)
- `limit` (integer; 1–100)
- `post_id` (string; required)

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/reposted-by?post_id=value" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "username": "string",
      "name": "string",
      "url": "https://example.com",
      "avatar_url": "https://example.com",
      "description": "string",
      "location": "string",
      "website": "https://example.com",
      "created_at": "2026-10-13T09:00:00.000Z",
      "protected": true,
      "verified": true,
      "verified_type": "blue",
      "followers": 1,
      "following": 1,
      "posts": 1,
      "listed": 1,
      "likes": 1,
      "media_count": 1
    }
  ],
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_cursor": "string",
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## X: List Likes

`GET /accounts/{accountId}/x/liked-posts`

GET /2/users/:id/liked_tweets. Posts you liked. Liking and unliking are Enterprise-only on X. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read, like.read. Generic route: /v1/accounts/{accountId}/focus/liked-posts.

Access: `read` · MCP tool: `x-liked-posts-list`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Query parameters

- `cursor` (string): Pagination cursor (next_cursor)
- `limit` (integer; 1–100)

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/liked-posts" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "text": "string",
      "created_at": "2026-10-13T09:00:00.000Z",
      "url": "https://example.com",
      "kind": "post",
      "author_id": "string",
      "author_username": "string",
      "author_name": "string",
      "author_avatar_url": "https://example.com",
      "conversation_id": "string",
      "in_reply_to_user_id": "string",
      "reply_to_id": "string",
      "quoted_id": "string",
      "reposted_id": "string",
      "lang": "string",
      "reply_settings": "everyone",
      "community_id": "string",
      "possibly_sensitive": true,
      "paid_partnership": true,
      "editable_until": "2026-10-13T09:00:00.000Z",
      "edits_remaining": 1,
      "media": [
        {
          "media_key": "string",
          "type": "photo",
          "url": "https://example.com",
          "preview_image_url": "https://example.com",
          "width": 1,
          "height": 1
        }
      ],
      "poll": {
        "id": "string",
        "options": [
          {
            "position": null,
            "label": null,
            "votes": null
          }
        ],
        "total_votes": 1,
        "voting_status": "open",
        "end_datetime": "2026-10-13T09:00:00.000Z",
        "duration_minutes": 1
      },
      "likes": 1,
      "reposts": 1,
      "replies": 1,
      "quotes": 1,
      "bookmarks": 1,
      "impressions": 1
    }
  ],
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_cursor": "string",
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## X: Create a Likes item

`POST /accounts/{accountId}/x/liked-posts`

Like a post (Enterprise-only). Posts you liked. Liking and unliking are Enterprise-only on X. Requires scopes: tweet.read, users.read, like.read, like.write. Generic route: /v1/accounts/{accountId}/focus/liked-posts.

Access: `write` · MCP tool: `x-liked-posts-create` · Zernio: `POST /v1/inbox/posts/{postId}/like`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `post_id` (string; required)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/liked-posts" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "post_id": "string"
  }'
```

Response 201:

```json
{
  "id": "string",
  "text": "string",
  "created_at": "2026-10-13T09:00:00.000Z",
  "url": "https://example.com",
  "kind": "post",
  "author_id": "string",
  "author_username": "string",
  "author_name": "string",
  "author_avatar_url": "https://example.com",
  "conversation_id": "string",
  "in_reply_to_user_id": "string",
  "reply_to_id": "string",
  "quoted_id": "string",
  "reposted_id": "string",
  "lang": "string",
  "reply_settings": "everyone",
  "community_id": "string",
  "possibly_sensitive": true,
  "paid_partnership": true,
  "editable_until": "2026-10-13T09:00:00.000Z",
  "edits_remaining": 1,
  "media": [
    {
      "media_key": "string",
      "type": "photo",
      "url": "https://example.com",
      "preview_image_url": "https://example.com",
      "width": 1,
      "height": 1,
      "duration_ms": 1,
      "alt_text": "string",
      "view_count": 1
    }
  ],
  "poll": {
    "id": "string",
    "options": [
      {
        "position": 1,
        "label": "string",
        "votes": 1
      }
    ],
    "total_votes": 1,
    "voting_status": "open",
    "end_datetime": "2026-10-13T09:00:00.000Z",
    "duration_minutes": 1
  },
  "likes": 1,
  "reposts": 1,
  "replies": 1,
  "quotes": 1,
  "bookmarks": 1,
  "impressions": 1
}
```

## X: Delete a Likes item

`DELETE /accounts/{accountId}/x/liked-posts/{itemId}`

Unlike a post (Enterprise-only). Posts you liked. Liking and unliking are Enterprise-only on X. Requires scopes: tweet.read, users.read, like.read, like.write. Generic route: /v1/accounts/{accountId}/focus/liked-posts.

Access: `write` · MCP tool: `x-liked-posts-delete` · Zernio: `DELETE /v1/inbox/posts/{postId}/like`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

```bash
curl -X DELETE "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/liked-posts/ITEM_ID" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "focus_item",
  "platform": "string",
  "resource": "string",
  "id": "string",
  "deleted": true,
  "result": null
}
```

## X: List Bookmark folders

`GET /accounts/{accountId}/x/bookmark-folders`

GET /2/users/:id/bookmarks/folders. Cursor pagination: pass next_cursor back as cursor. Requires scopes: users.read, bookmark.read. Generic route: /v1/accounts/{accountId}/focus/bookmark-folders.

Access: `read` · MCP tool: `x-bookmark-folders-list`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Query parameters

- `cursor` (string): Pagination cursor (next_cursor)
- `limit` (integer; 1–100)

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/bookmark-folders" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "name": "string"
    }
  ],
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_cursor": "string",
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## X: Create a Bookmark folders item

`POST /accounts/{accountId}/x/bookmark-folders`

POST /2/users/:id/bookmarks/folders. Requires scopes: users.read, bookmark.read, bookmark.write. Generic route: /v1/accounts/{accountId}/focus/bookmark-folders.

Access: `write` · MCP tool: `x-bookmark-folders-create`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `name` (string; required; 1–25 characters)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/bookmark-folders" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string"
  }'
```

Response 201:

```json
{
  "id": "string",
  "name": "string"
}
```

## X: List Home timeline

`GET /accounts/{accountId}/x/home-timeline`

GET /2/users/:id/timelines/reverse_chronological. Posts from accounts you follow, newest first. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read. Network docs: https://docs.x.com/x-api/posts/timelines/introduction Generic route: /v1/accounts/{accountId}/focus/home-timeline.

Access: `read` · MCP tool: `x-home-timeline-list`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)

### Query parameters

- `cursor` (string): Pagination cursor (next_cursor)
- `limit` (integer; 1–100)
- `exclude` (string; one of replies, retweets, replies,retweets)
- `start_time` (string (date-time))
- `end_time` (string (date-time))

```bash
curl "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/home-timeline" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "text": "string",
      "created_at": "2026-10-13T09:00:00.000Z",
      "url": "https://example.com",
      "kind": "post",
      "author_id": "string",
      "author_username": "string",
      "author_name": "string",
      "author_avatar_url": "https://example.com",
      "conversation_id": "string",
      "in_reply_to_user_id": "string",
      "reply_to_id": "string",
      "quoted_id": "string",
      "reposted_id": "string",
      "lang": "string",
      "reply_settings": "everyone",
      "community_id": "string",
      "possibly_sensitive": true,
      "paid_partnership": true,
      "editable_until": "2026-10-13T09:00:00.000Z",
      "edits_remaining": 1,
      "media": [
        {
          "media_key": "string",
          "type": "photo",
          "url": "https://example.com",
          "preview_image_url": "https://example.com",
          "width": 1,
          "height": 1
        }
      ],
      "poll": {
        "id": "string",
        "options": [
          {
            "position": null,
            "label": null,
            "votes": null
          }
        ],
        "total_votes": 1,
        "voting_status": "open",
        "end_datetime": "2026-10-13T09:00:00.000Z",
        "duration_minutes": 1
      },
      "likes": 1,
      "reposts": 1,
      "replies": 1,
      "quotes": 1,
      "bookmarks": 1,
      "impressions": 1
    }
  ],
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_cursor": "string",
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## X: Reply (Home timeline)

`POST /accounts/{accountId}/x/home-timeline/{itemId}/reply`

Reply. Posts from accounts you follow, newest first. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/timelines/introduction Generic route: /v1/accounts/{accountId}/focus/home-timeline.

Access: `write` · MCP tool: `x-home-timeline-reply`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

### Body

- `text` (string; required)
- `media` (array of string; ≤ 4 items)

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/home-timeline/ITEM_ID/reply" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "string",
    "media": [
      "string"
    ]
  }'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Like (Home timeline)

`POST /accounts/{accountId}/x/home-timeline/{itemId}/like`

Enterprise-only on X. Posts from accounts you follow, newest first. Requires scopes: tweet.read, users.read, like.write. Network docs: https://docs.x.com/x-api/posts/timelines/introduction Generic route: /v1/accounts/{accountId}/focus/home-timeline.

Access: `write` · MCP tool: `x-home-timeline-like`

### Path parameters

- `accountId` (string; required; 1–80 characters): Social account id (sa_…)
- `itemId` (string; required; 1–512 characters): The network's id of the item

### Headers

- `Idempotency-Key` (string; ≤ 255 characters): Unique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.

```bash
curl -X POST "https://api.socialit.com/v1/accounts/sa_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd/x/home-timeline/ITEM_ID/like" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{}'
```

Response 200:

```json
{
  "object": "focus_action_result",
  "platform": "string",
  "resource": "string",
  "action": "string",
  "id": "string",
  "result": null
}
```

## X: Unlike (Home timeline)

`POST /accounts/{accountId}/x/home-timeline/{itemId}/unlike`

Enterprise-only on X. Posts from accounts you follow, newest first. Requires scopes: tweet.read, users.read, like.write. Network docs: https://docs.x.com/x-api/posts/timelines/introduction Generic route: /v1/accounts/{accountId}/focus/home-timeline.

Access: `write` · MCP tool: `x-home-timeline-unlike`

### Path parameters

[...]
